<?php
/**
 * Additional/overwritten configuration parts
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 Admin-Area Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// Get a configuration instance for shorter lines
$cfg = FrameworkConfiguration::getInstance();

// CFG: HEADER-CHARSET
$cfg->setConfigEntry('header_charset', 'utf-8');

// CFG: DEFAULT-WEB-COMMAND
$cfg->setConfigEntry('default_web_command', 'home');

// CFG: DEFAULT-IMAGE-COMMAND
$cfg->setConfigEntry('default_image_command', 'build');

// CFG: FORM-ACTION
$cfg->setConfigEntry('form_action', 'index.php?app={?app_short_name?}&amp;page=do_form');

// CFG: FORM-METHOD
$cfg->setConfigEntry('form_method', 'post');

// CFG: FORM-TARGET
$cfg->setConfigEntry('form_target', '_self');

// CFG: REGISTER-REQUIRES-EMAIL
$cfg->setConfigEntry('register_requires_email', 'Y');

// CFG: REGISTER-INCLUDES-PROFILE
$cfg->setConfigEntry('register_includes_profile', 'Y');

// CFG: REGISTER-PERSONAL-DATA
$cfg->setConfigEntry('register_personal_data', 'Y');

// CFG: REGISTER-EMAIL-UNIQUE
$cfg->setConfigEntry('register_email_unique', 'Y');

// CFG: CHAT-ENABLED-ICQ
$cfg->setConfigEntry('chat_enabled_icq', 'Y');

// CFG: CHAT-ENABLED-JABBER
$cfg->setConfigEntry('chat_enabled_jabber', 'Y');

// CFG: CHAT-ENABLED-YAHOO
$cfg->setConfigEntry('chat_enabled_yahoo', 'Y');

// CFG: CHAT-ENABLED-AOL
$cfg->setConfigEntry('chat_enabled_aol', 'Y');

// CFG: CHAT-ENABLED-MSN
$cfg->setConfigEntry('chat_enabled_msn', 'Y');

// CFG: USER-REGISTRATION
$cfg->setConfigEntry('user_registration_class', 'AdminRegistration');

// CFG: USER-LOGIN-CLASS
$cfg->setConfigEntry('user_login_class', 'AdminUserLogin');

// CFG: GUEST-LOGIN-CLASS
$cfg->setConfigEntry('guest_login_class', 'AdminGuestLogin');

// CFG: USER-STATUS-REGISTER
$cfg->setConfigEntry('user_status_unconfirmed', 'UNCONFIRMED');

// CFG: USER-STATUS-GUEST
$cfg->setConfigEntry('user_status_guest', 'GUEST');

// CFG: USER-STATUS-CONFIRMED
$cfg->setConfigEntry('user_status_confirmed', 'CONFIRMED');

// CFG: LOGIN-HELPER-CLASS
$cfg->setConfigEntry('login_helper_class', 'AdminLoginHelper');

// CFG: AUTH-METHOD-CLASS
$cfg->setConfigEntry('auth_method_class', 'CookieAuth');

// CFG: APP-LOGIN-URL
$cfg->setConfigEntry('app_login_url', 'index.php?app={?app_short_name?}&amp;page=login_area');

// CFG: LOGIN-FAILED-URL
$cfg->setConfigEntry('login_failed_url', 'index.php?app={?app_short_name?}&amp;page=login_failed');

// CFG: LOGOUT-DONE-URL
$cfg->setConfigEntry('logout_done_url', 'index.php?app={?app_short_name?}&amp;page=logout_done');

// CFG: LOGIN-USER-STATUS-URL
$cfg->setConfigEntry('login_user_status_url', 'index.php?app={?app_short_name?}&amp;page=login_area&amp;status=status_problem');

// CFG: USER-NOT-UNCONFIRMED-URL
$cfg->setConfigEntry('user_not_unconfirmed_url', 'index.php?app={?app_short_name?}&amp;page=status&amp;status=unconfirmed_problem');

// CFG: USER-UNCONFIRMED-EMAIL-MISSING-URL
$cfg->setConfigEntry('user_unconfirmed_email_missing_url', 'index.php?app={?app_short_name?}&amp;page=status&amp;status=unconfirmed_email_missing');

// CFG: CONFIRM-CODE-INVALID-URL
$cfg->setConfigEntry('confirm_code_invalid_url', 'index.php?app={?app_short_name?}&amp;page=status&amp;status=confirm_code_invalid');

// CFG: USER-NOT-FOUND-URL
$cfg->setConfigEntry('user_not_found_url', 'index.php?app={?app_short_name?}&amp;page=status&amp;status=user_not_found');

// CFG: LOGIN-DEFAULT-ACTION
$cfg->setConfigEntry('login_default_action', 'welcome');

// CFG: NEWS-READER-HOME-CLASS
$cfg->setConfigEntry('news_reader_home_class', 'DefaultNewsReader');

// CFG: NEWS-DOWNLOAD-FILTER
$cfg->setConfigEntry('news_download_filter', 'NewsDownloadFilter');

// CFG: NEWS-PROCESS-FILTER
$cfg->setConfigEntry('news_process_filter', 'NewsProcessFilter');

// CFG: USER-AUTH-FILTER
$cfg->setConfigEntry('user_auth_filter', 'UserAuthFilter');

// CFG: USER-UPDATE-FILTER
$cfg->setConfigEntry('user_update_filter', 'UserUpdateFilter');

// CFG: USER-STATUS-CONFIRMED-FILTER
$cfg->setConfigEntry('user_status_confirmed_filter', 'UserStatusConfimedUpdateFilter');

// CFG: CAPTCHA-ENCRYPT-VALIDATOR-FILTER
$cfg->setConfigEntry('captcha_encrypt_validator_filter', 'CaptchaEncryptFilter');

// CFG: CAPTCHA-GUEST-VERIFIER-FILTER
$cfg->setConfigEntry('captcha_guest_verifier_filter', 'GraphicalCodeCaptchaVerifierFilter');

// CFG: CAPTCHA-USER-VERIFIER-FILTER
$cfg->setConfigEntry('captcha_user_verifier_filter', 'GraphicalCodeCaptchaVerifierFilter');

// CFG: CAPTCHA-REGISTER-VERIFIER-FILTER
$cfg->setConfigEntry('captcha_register_verifier_filter', 'GraphicalCodeCaptchaVerifierFilter');

// CFG: CONFIRM-CODE-VALIDATOR-FILTER
$cfg->setConfigEntry('confirm_code_verifier_filter', 'ConfirmCodeVerifierFilter');

// CFG: NEWS-HOME-LIMIT
$cfg->setConfigEntry('news_home_limit', 10);

// CFG: NEWS-LOGIN-AREA-LIMIT
$cfg->setConfigEntry('news_login_area_limit', 15);

// CFG: LOGIN-ENABLED
$cfg->setConfigEntry('login_enabled', 'Y');

// CFG: CONFIRM-EMAIL-ENABLED
$cfg->setConfigEntry('confirm_email_enabled', 'Y');

// CFG: LOGIN-DISABLED-REASON
$cfg->setConfigEntry('login_disabled_reason', 'Loginbereich befindet sich noch im Aufbau.');

// CFG: LOGIN-TYPE
$cfg->setConfigEntry('login_type', 'username'); // username, email, both

// CFG: EMAIL-CHANGE-ALLOWED
$cfg->setConfigEntry('email_change_allowed', 'N');

// CFG: EMAIL-CHANGE-CONFIRMATION
$cfg->setConfigEntry('email_change_confirmation', 'Y');

// CFG: GUEST-LOGIN-ALLOWED
$cfg->setConfigEntry('guest_login_allowed', 'N');

// CFG: GUEST-LOGIN-USERNAME
$cfg->setConfigEntry('guest_login_user', 'guest');

// CFG: GUEST-LOGIN-PASS
$cfg->setConfigEntry('guest_login_passwd', 'guest');

// CFG: LOGIN-WELCOME-ACTION-CLASS
$cfg->setConfigEntry('login_welcome_action_class', 'AdminLoginAction');

// CFG: LOGIN-LOGOUT-ACTION-CLASS
$cfg->setConfigEntry('login_logout_action_class', 'AdminLogoutAction');

// CFG: LOGIN-PROFILE-ACTION-CLASS
$cfg->setConfigEntry('login_profile_action_class', 'AdminProfileAction');

// CFG: ADMIN-REGISTER-CAPTCHA
$cfg->setConfigEntry('admin_register_captcha', 'GraphicalCodeCaptcha');

// CFG: ADMIN-USER-LOGIN-CAPTCHA
$cfg->setConfigEntry('admin_user_login_captcha', 'GraphicalCodeCaptcha');

// CFG: ADMIN-GUEST-LOGIN-CAPTCHA
$cfg->setConfigEntry('admin_guest_login_captcha', 'GraphicalCodeCaptcha');

// CFG: CAPTCHA-STRING-LENGTH
$cfg->setConfigEntry('captcha_string_length', 5);

// CFG: CAPTCHA-SEARCH-CHARS
$cfg->setConfigEntry('captcha_search_chars', '+/=');

// CFG: RANDOM-STRING-LENGTH
$cfg->setConfigEntry('random_string_length', 100);

// CFG: ADMIN-REGISTER-CAPTCHA-SECURED
$cfg->setConfigEntry('admin_register_captcha_secured', 'Y');

// CFG: ADMIN-USER-LOGIN-CAPTCHA-SECURED
$cfg->setConfigEntry('admin_user_login_captcha_secured', 'Y');

// CFG: ADMIN-GUEST-LOGIN-CAPTCHA-SECURED
$cfg->setConfigEntry('admin_guest_login_captcha_secured', 'Y');

// CFG: BLOCK-SHOWS-REGISTRATION
$cfg->setConfigEntry('block_shows_registration', 'Y');

// CFG EMAIl-TPL-RESEND-LINK
$cfg->setConfigEntry('email_tpl_resend_link', 'text');

// CFG: MAIL-TEMPLATE-ENGINE
$cfg->setConfigEntry('mail_template_class', 'MailTemplateEngine');

// CFG: IMAGE-TEMPLATE-ENGINE
$cfg->setConfigEntry('image_template_class', 'ImageTemplateEngine');

// CFG: ADMIN-EMAIL
$cfg->setConfigEntry('admin_email', 'you@some-hoster.invalid');

// CFG: WEB-BLOCK-HELPER
$cfg->setConfigEntry('web_block_helper', 'WebBlockHelper');

// CFG: WEB-FORM-HELPER
$cfg->setConfigEntry('web_form_helper', 'WebFormHelper');

// CFG: WEB-LINK-HELPER
$cfg->setConfigEntry('web_link_helper', 'WebLinkHelper');

// [EOF]
?>
